import { EventBus, EventsHandler, IEventHandler} from "@nestjs/cqrs";
import {Logger} from "@nestjs/common";
import {NextQuestionEvent} from "../../game/events/next-question.event";

@EventsHandler(NextQuestionEvent)
export class NextQuestionEventHandler implements IEventHandler<NextQuestionEvent> {
  private readonly logger = new Logger(NextQuestionEventHandler.name);
  constructor(private eventbus: EventBus) {
  }

  handle(event: NextQuestionEvent): any {
    this.logger.verbose(`handle next question from cards`);
  }

}